Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPLegacyKeyPairGeneratorParameterSpec

    java.lang.Object
      cryptix.openpgp.PGPLegacyKeyPairGeneratorParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class PGPLegacyKeyPairGeneratorParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

Parameters for a legacy KeyPairGenerator

Version:
  $Revision: 1.1 $
Author:
  Edwin Woudt

Constructor Summary
`PGPLegacyKeyPairGeneratorParameterSpec(int keysize, int expiration)` Constructs a PGPLegacyKeyPairGeneratorParameterSpec object, given a keysize and an expiration date.

Method Summary
`int` | `getExpiration()` Returns the number of days after creation the key expires
`int` | `getKeySize()` Returns the keysize

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPLegacyKeyPairGeneratorParameterSpec

    public PGPLegacyKeyPairGeneratorParameterSpec(int keysize,
                                                  int expiration)

  Constructs a PGPLegacyKeyPairGeneratorParameterSpec object, given a keysize and an expiration date.

Parameters:
  `keysize` - the keysize to use for generating a key, use 0 for the default value.
  `expiration` - the expiration date for the generated key, in days after the creation of the key. Use 0 for keys that do not expire.

Method Detail

### getKeySize

    public int getKeySize()

  Returns the keysize

### getExpiration

    public int getExpiration()

  Returns the number of days after creation the key expires

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.